// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDocumentScanner", targets: ["WebIdDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("12.3.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdDocumentScanner/12.5.1/WebIdDocumentScanner.framework-v12.5.1.zip",
            checksum: "81524ab0171ec047b6810ee00df74105e5eb433a35313ae9aad9ad2b781132f5"
        ),
        .target(
            name: "WebIdDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
